Package org.jbpm.services.ejb.impl

## Class UserTaskServiceEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.UserTaskServiceImpl
  - - org.jbpm.services.ejb.impl.UserTaskServiceEJBImpl

- All Implemented Interfaces:
    `VariablesAware`, `UserTaskService`, `UserTaskServiceEJBLocal`, `UserTaskServiceEJBRemote`

      public class UserTaskServiceEJBImpl
      extends UserTaskServiceImpl
      implements UserTaskService, UserTaskServiceEJBLocal, UserTaskServiceEJBRemote

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskServiceEJBImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `disposeRuntimeEngine​(org.kie.api.runtime.manager.RuntimeManager manager, org.kie.api.runtime.manager.RuntimeEngine engine)` |
    `<T> T` | `process​(T variables, ClassLoader cl)` | Generic processing method that might be simply returning same instance of variables if no processing is required.
    `void` | `setDataService​(RuntimeDataService dataService)` |
    `void` | `setDeploymentService​(DeploymentService deploymentService)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.UserTaskServiceImpl

      `activate, activate, addAttachment, addAttachment, addComment, addComment, claim, claim, claim, complete, complete, completeAutoProgress, completeAutoProgress, delegate, delegate, deleteAttachment, deleteAttachment, deleteComment, deleteComment, deleteContent, deleteContent, execute, execute, exit, exit, fail, fail, forward, forward, getAttachmentById, getAttachmentById, getAttachmentContentById, getAttachmentContentById, getAttachmentsByTaskId, getAttachmentsByTaskId, getCommentById, getCommentById, getCommentsByTaskId, getCommentsByTaskId, getInternalTaskService, getRuntimeManager, getRuntimeManager, getTask, getTask, getTaskInputContentByTaskId, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, getTaskOutputContentByTaskId, nominate, nominate, release, release, resume, resume, saveContent, saveContent, saveContent, saveContentFromUser, setDescription, setDescription, setExpirationDate, setExpirationDate, setName, setName, setNonProcessScopedTaskService, setPriority, setPriority, setSkipable, setSkipable, skip, skip, start, start, stop, stop, suspend, suspend, suspend, suspend, updateTask, updateTask, validateTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.UserTaskService

      `activate, activate, addAttachment, addAttachment, addComment, addComment, claim, claim, claim, complete, complete, completeAutoProgress, completeAutoProgress, delegate, delegate, deleteAttachment, deleteAttachment, deleteComment, deleteComment, deleteContent, deleteContent, execute, execute, exit, exit, fail, fail, forward, forward, getAttachmentById, getAttachmentById, getAttachmentContentById, getAttachmentContentById, getAttachmentsByTaskId, getAttachmentsByTaskId, getCommentById, getCommentById, getCommentsByTaskId, getCommentsByTaskId, getTask, getTask, getTaskInputContentByTaskId, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, getTaskOutputContentByTaskId, nominate, nominate, release, release, resume, resume, saveContent, saveContent, saveContentFromUser, setDescription, setDescription, setExpirationDate, setExpirationDate, setName, setName, setPriority, setPriority, setSkipable, setSkipable, skip, skip, start, start, stop, stop, suspend, suspend, suspend, suspend, updateTask, updateTask`

- - ### Constructor Detail

    - #### UserTaskServiceEJBImpl

          public UserTaskServiceEJBImpl()

  - ### Method Detail

    - #### setDeploymentService

          public void setDeploymentService​(DeploymentService deploymentService)

      Overrides:
        `setDeploymentService` in class `UserTaskServiceImpl`

    - #### setDataService

          public void setDataService​(RuntimeDataService dataService)

      Overrides:
        `setDataService` in class `UserTaskServiceImpl`

    - #### process

          public <T> T process​(T variables,
                               ClassLoader cl)

      Description copied from interface: `VariablesAware`
      Generic processing method that might be simply returning same instance of variables if no processing is required.
      Specified by:
        `process` in interface `VariablesAware`
      Overrides:
        `process` in class `UserTaskServiceImpl`
      Parameters:
        `variables` - object that holds varialble(s)
        `cl` - classloader that shall be used to operate on the variables e.g. project class loader
      Returns:

    - #### disposeRuntimeEngine

          protected void disposeRuntimeEngine​(org.kie.api.runtime.manager.RuntimeManager manager,
                                              org.kie.api.runtime.manager.RuntimeEngine engine)

      Overrides:
        `disposeRuntimeEngine` in class `UserTaskServiceImpl`